%define pypi_name openpyxl

Name:       python-%{pypi_name}
Version:    3.1.2
Release:    %mkrel 3
Summary:    A Python library to read/write Excel 2010 xlsx/xlsm files
Group:      Development/Python
License:    MIT and Python
URL:        https://pypi.org/project/openpyxl/
Source0:    %{pypi_source}
BuildArch:  noarch

%description
openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm/xltx/xltm
files. It was born from lack of existing library to read/write natively from
Python the Office Open XML format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm/xltx/xltm
files. It was born from lack of existing library to read/write natively from
Python the Office Open XML format.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openpyxl

%files -n python3-%{pypi_name} -f %{pyproject_files}



%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 3.1.2-3.mga10
+ Revision: 2153692
- rebuild for python 3.13

* Wed Feb 21 2024 daviddavid <daviddavid> 3.1.2-2.mga10
+ Revision: 2042741
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 3.1.2-1.mga10
+ Revision: 1988388
- new 3.1.2

* Wed Sep 07 2022 neoclust <neoclust> 3.0.10-1.mga9
+ Revision: 1885107
- New version  3.0.10

* Wed Mar 23 2022 umeabot <umeabot> 3.0.9-2.mga9
+ Revision: 1823545
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.0.9-1.mga9
+ Revision: 1783468
- version 3.0.9
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.0.7-1.mga9
+ Revision: 1706017
- new version 3.0.7

* Thu Jul 23 2020 ovitters <ovitters> 3.0.3-3.mga8
+ Revision: 1608289
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sat Apr 18 2020 guillomovitch <guillomovitch> 3.0.3-1.mga8
+ Revision: 1568828
- imported package python-openpyxl

